

- unused var warning in pnp_add_irq_resource()

- unused var in fd_mcs.c (Adrian Bunk)

- remove dead code in i810_main.c (a u8 cannot exceed 255) (Adrian Bunk)


 drivers/pnp/resource.c         |   11 +++++++----
 drivers/scsi/fd_mcs.c          |    1 -
 drivers/video/i810/i810_main.c |    2 --
 3 files changed, 7 insertions(+), 7 deletions(-)

diff -puN drivers/pnp/resource.c~misc6 drivers/pnp/resource.c
--- 25/drivers/pnp/resource.c~misc6	2003-06-21 20:45:46.000000000 -0700
+++ 25-akpm/drivers/pnp/resource.c	2003-06-21 20:46:19.000000000 -0700
@@ -85,7 +85,6 @@ struct pnp_option * pnp_register_depende
 
 int pnp_register_irq_resource(struct pnp_option *option, struct pnp_irq *data)
 {
-	int i;
 	struct pnp_irq *ptr;
 	if (!option)
 		return -EINVAL;
@@ -101,9 +100,13 @@ int pnp_register_irq_resource(struct pnp
 		option->irq = data;
 
 #ifdef CONFIG_PCI
-	for (i=0; i<16; i++)
-		if (data->map & (1<<i))
-			pcibios_penalize_isa_irq(i);
+	{
+		int i;
+
+		for (i=0; i<16; i++)
+			if (data->map & (1<<i))
+				pcibios_penalize_isa_irq(i);
+	}
 #endif
 	return 0;
 }
diff -puN drivers/scsi/fd_mcs.c~misc6 drivers/scsi/fd_mcs.c
--- 25/drivers/scsi/fd_mcs.c~misc6	2003-06-21 20:45:46.000000000 -0700
+++ 25-akpm/drivers/scsi/fd_mcs.c	2003-06-21 20:45:46.000000000 -0700
@@ -589,7 +589,6 @@ static int TOTAL_INTR = 0;
 static int fd_mcs_proc_info(struct Scsi_Host *shpnt, char *buffer, char **start, off_t offset, int length, int inout)
 {
 	int len = 0;
-	int i;
 
 	if (inout)
 		return (-ENOSYS);
diff -puN drivers/video/i810/i810_main.c~misc6 drivers/video/i810/i810_main.c
--- 25/drivers/video/i810/i810_main.c~misc6	2003-06-21 20:45:46.000000000 -0700
+++ 25-akpm/drivers/video/i810/i810_main.c	2003-06-21 20:45:46.000000000 -0700
@@ -1075,8 +1075,6 @@ static int i810fb_getcolreg(u8 regno, u8
 	struct i810fb_par *par = (struct i810fb_par *) info->par;
 	u8 *mmio = par->mmio_start_virtual, temp;
 
-	if (regno > 255) return 1;
-
 	if (info->fix.visual == FB_VISUAL_DIRECTCOLOR) {
 		if ((info->var.green.length == 5 && regno > 31) ||
 		    (info->var.green.length == 6 && regno > 63))

_
